Reference
Currencies and Rates
Current exchange rates for price calculation
The API returns current exchange rates for price conversion. Rates are updated daily based on National Bank of Moldova data.
Get Exchange Rates
const response = await fetch('https://crm.rentix.md/api/v1/reference/currencies', {
headers: { 'Authorization': 'ApiKey YOUR_API_KEY' }
});
const data = await response.json();
// Convert 500 USD to EUR
const usdRate = data.currencies.find(c => c.code === 'USD').rate;
const priceInEur = 500 * usdRate;
console.log(`500 USD = ${priceInEur.toFixed(2)} EUR`);
curl https://crm.rentix.md/api/v1/reference/currencies \
-H "Authorization: ApiKey YOUR_API_KEY"
$ch = curl_init('https://crm.rentix.md/api/v1/reference/currencies');
curl_setopt($ch, CURLOPT_HTTPHEADER, ['Authorization: ApiKey YOUR_API_KEY']);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
$data = json_decode($response, true);
Response
{
"baseCurrency": "EUR",
"currencies": [
{ "code": "EUR", "nominal": 1, "rate": 1 },
{ "code": "USD", "nominal": 1, "rate": 0.92 },
{ "code": "MDL", "nominal": 1, "rate": 0.052 }
]
}
Supported Currencies
| Code | Currency | Description |
|---|---|---|
EUR | Euro | Base currency (rate = 1) |
USD | US Dollar | |
MDL | Moldovan Leu |
How Rates Are Used
In Listings
Price is stored in the specified currency and is not automatically converted:
{
"announcementValue": 500,
"announcementCurrency": "EUR"
}
Rate Updates
- Rates are updated daily based on BNM (National Bank of Moldova) data